Saltar al contenido

¿Cómo afectan las actualizaciones de PHP de su servidor web a sus sitios de WordPress?

Recientemente, uno de nuestros usuarios se puso en contacto con nosotros sobre un aviso que recibió de su proveedor de alojamiento sobre la actualización a una nueva versión de PHP.

WordPress está escrito en el lenguaje de programación PHP. Es un lenguaje del lado del servidor, lo que significa que se ejecuta en su servidor de alojamiento web para generar páginas de WordPress de forma dinámica.

En este artículo, explicaremos cómo las actualizaciones de PHP realizadas por su proveedor de alojamiento web afectan sus sitios de WordPress. También discutiremos las cosas que puede hacer para evitar conflictos o tiempo de inactividad en su sitio web.

Se supone que una actualización de PHP por parte de su proveedor de alojamiento web funciona sin problemas, pero también puede salir muy mal. Todo depende de su proveedor de alojamiento web y de cómo configuran sus servidores.

Es por eso que recomendamos a nuestros usuarios que elijan el mejor alojamiento de WordPress , para que sepan que hay ingenieros de primer nivel que se ocupan de esos servidores.

Elegir un servidor web no confiable para su sitio de WordPress puede causar un tiempo de inactividad inesperado durante o después de la actualización y no hay prácticamente nada que pueda hacer al respecto, excepto cambiar a un mejor host.

Actualizaciones de WordPress y PHP

WordPress está desarrollado utilizando el lenguaje de programación PHP de código abierto . En el momento de escribir este artículo, WordPress requiere al menos PHP versión 5.6.20 o superior. La versión estable actual disponible para PHP es 7.3.8.

La mayoría de los proveedores de alojamiento compartido ofrecen actualmente PHP versión 7.0. + Instalada en sus servidores.

Leer más  Cómo elegir el mejor proveedor de VoIP para empresas en 2020 (comparado)

Algunos servidores web pueden incluso permitirle cambiar su versión de PHP desde su panel de control. Hay varias razones por las que los servidores web no utilizan la tecnología de punta y las versiones estables más nuevas de PHP, pero la razón más común es que las últimas versiones a veces pueden romper algunas aplicaciones PHP.

Sin embargo, tampoco quieren quedarse atrás. Actualmente, PHP 5.6. + Es la versión mínima requerida y generalmente se recomienda php 7.0+.

Cosas que debe hacer cuando su host actualiza PHP

Su proveedor de alojamiento web probablemente ya alberga miles de sitios de WordPress. Ellos tomarán todas las precauciones posibles para asegurarse de que todo salga bien y los clientes no sientan ningún problema en el servicio.

El aviso que ha recibido le permite estar informado sobre la actualización y estar atento para ver si algo sale mal. Aunque es poco probable que esta actualización rompa las cosas, siempre es bueno tener un plan alternativo.

En primer lugar, siempre recomendamos a nuestros usuarios que realicen copias de seguridad periódicas de los sitios de WordPress. Si no dispone de una solución de copia de seguridad automática como BackupBuddy , VaultPress o BackWPup , es hora de instalar una de ellas o al menos crear una copia de seguridad manual de su sitio web.

Después de las copias de seguridad, lo siguiente que debe hacer es asegurarse de que está ejecutando la última versión de WordPress. También asegúrese de que todos sus complementos y temas estén actualizados.

Vaya a la pantalla Actualizaciones e instale las actualizaciones disponibles.

El propio WordPress y los complementos de WordPress más populares no se verán afectados por la actualización de PHP. Sin embargo, es posible que algún complemento deje de funcionar.

Leer más  3 herramientas gratuitas para analizar las estadísticas de tráfico de su blog

Si un complemento de su sitio ha dejado de funcionar debido a una actualización de PHP, debe comunicarse con el autor del complemento para obtener asistencia o buscar una alternativa.

¿Qué hacer si una actualización de PHP rompe su sitio de WordPress?

Hay muy pocas posibilidades de que una actualización de PHP rompa su sitio de WordPress. Sin embargo, con la abundancia de complementos gratuitos y de pago, una sola línea de código deficiente puede generar un error.

Lo primero que debe hacer es asegurarse de que no sea un complemento o tema el que cause este error. Para hacer eso, desactive todos sus complementos de WordPress y cambie a un tema predeterminado de WordPress.

Si esto no resuelve su problema, comuníquese con el equipo de soporte de su proveedor de alojamiento web. Existe una buena posibilidad de que el problema al que se enfrenta ya esté en su aviso y puedan ayudarlo.

Si su proveedor de alojamiento web no puede ayudarlo, intente instalar una copia nueva de WordPress y luego restaure su sitio de WordPress desde la copia de seguridad .

Si nada de esto ayuda, entonces quizás sea el momento de cambiar su alojamiento de WordPress.

Esperamos que esta guía le haya ayudado a comprender cómo las actualizaciones de PHP realizadas por su proveedor de alojamiento web afectan su sitio de WordPress. Para comentarios y preguntas, deje un comentario a continuación.